VERSION 5.00
Begin VB.Form frmAutomationDemoMain 
   Caption         =   "Imaging Professional Automation Demo"
   ClientHeight    =   3720
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4500
   LinkTopic       =   "Form1"
   ScaleHeight     =   3720
   ScaleWidth      =   4500
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close Viewer"
      Height          =   495
      Left            =   1440
      TabIndex        =   1
      Top             =   2400
      Width           =   1215
   End
   Begin VB.CommandButton cmdDisplay 
      Caption         =   "Display Viewer"
      Height          =   495
      Left            =   1440
      TabIndex        =   0
      Top             =   1560
      Width           =   1215
   End
End
Attribute VB_Name = "frmAutomationDemoMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    Private objApplication As Object
    Private objViewer As Object
    
    
Private Sub cmdClose_Click()
    'Toggle controls
    cmdDisplay.Enabled = True
    cmdClose.Enabled = False

    'Close file and viewer application
    objViewer.Close
    objApplication.quit
    End 'end application
End Sub

Private Sub cmdDisplay_Click()
    'Toggle controls
    cmdDisplay.Enabled = False
    cmdClose.Enabled = True

    With objApplication
        .topwindow = True
        'Position Viewer
        .Top = CInt(Me.Top / 15)
        .Left = CInt((Me.Width + Me.Left) / 15)
        .Width = CInt(Me.Width / 15)
        .Height = CInt(Me.Height / 15)
        .fitto 1 'Best Fit
    End With
    
    'Open Viewer
    objViewer.Open App.Path & "\chapter1.tif", True, 1, False
End Sub

Private Sub Form_Load()
    'Initialize form
    With Me
        .Top = 0
        .Left = 0
        .Width = 5000
        .Height = 8000
    End With
    
    'Instantiate objects
    Set objApplication = CreateObject("imaging.application")
    Set objViewer = objApplication.createimageviewerobject(1)
    'set grayscale display for b&w images scaled below 100%
    objApplication.DisplayScaleAlgorithm = 4
    'Toggle controls
    cmdDisplay.Enabled = True
    cmdClose.Enabled = False
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'Free all resources
    Set objApplication = Nothing
    Set objViewer = Nothing
End Sub
